## Package org.biojava.utils.automata

Interface Summary
NfaBuilder
PatternListener
StateMachineFactory: Class that produces StateMachineInstance objects.
StateMachineInstance

Class Summary
ArrayStateMachineToolkit
DfaBuilder
FiniteAutomaton: Class for modelling finite automata.
Nfa: Class for modelling non-deterministic finite automata.
NfaSubModel: This class caches a reference to all objects that it directs its delegate to make.
PatternBlitz
PatternMaker

Exception Summary
AutomatonException: An exception thrown by classes of this package.